## proj 4.9.2

=== CMakeLists.txt ===
#################################################################################
#
# This file is part of CMake configuration for PROJ4 library (inspired from SOCI
# CMake,  Copyright (C) 2009-2010 Mateusz Loskot <mateusz@loskot.net> )
#
# Copyright (C) 2011 Nicolas David <nicolas.david@ign.fr>
# Distributed under the MIT license
#
#################################################################################
# General settings
#################################################################################
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

# proj4 is an ANSI C project
project(PROJ4 C)
set(PROJECT_INTERN_NAME PROJ)

#################################################################################
# PROJ4 CMake modules
#################################################################################
# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(Proj4Utilities)

message(STATUS "")
colormsg(_HIBLUE_ "Configuring PROJ:")

#################################################################################
#PROJ version information
#################################################################################
include(Proj4Version)
proj_version(MAJOR 4 MINOR 9 PATCH 2)
set(PROJ_API_VERSION "9")
set(PROJ_BUILD_VERSION "10.0.1")

#################################################################################
# Build features and variants
#################################################################################
include(Proj4SystemInfo)
include(Proj4Config)
include(Proj4Mac)
include(policies)

#################################################################################
# threading configuration
#################################################################################
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package (Threads)

include(CheckIncludeFiles)
include(CheckSymbolExists)
CHECK_SYMBOL_EXISTS(PTHREAD_MUTEX_RECURSIVE pthread.h HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
if (HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
    add_definitions(-DHAVE_PTHREAD_MUTEX_RECURSIVE=1)
endif()

boost_report_value(PROJ_PLATFORM_NAME)
boost_report_value(PROJ_COMPILER_NAME)

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif ()

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # For multi-config systems and for Visual Studio, the debug version of
  # the library has _d appended.
  set (CMAKE_DEBUG_POSTFIX _d)
endif ()

option(PROJ4_TESTS "Enable build of collection of PROJ4 tests" ON)
boost_report_value(PROJ4_TESTS)
if(PROJ4_TESTS)
    include(CTest)
    enable_testing()
endif(PROJ4_TESTS)
include(Proj4Test)

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
link_directories(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

#################################################################################
# Installation
#################################################################################
include(Proj4InstallPath)
set(BINDIR "${DEFAULT_BINDIR}" CACHE PATH "The directory to install binaries into.")
set(LIBDIR "${DEFAULT_LIBDIR}" CACHE PATH "The directory to install libraries into.")
set(DATADIR "${DEFAULT_DATADIR}" CACHE PATH "The directory to install data files into.")
set(DOCDIR "${DEFAULT_DOCDIR}" CACHE PATH "The directory to install doc files into.")
set(INCLUDEDIR "${DEFAULT_INCLUDEDIR}" CACHE PATH "The directory to install includes into.")

#################################################################################
# Build configured components
#################################################################################
include_directories(${PROJ4_SOURCE_DIR}/src)

message(STATUS "")
add_subdirectory(nad)
add_subdirectory(src)
add_subdirectory(man)
add_subdirectory(cmake)

=== man/CMakeLists.txt ===
install (FILES man1/proj.1 man1/cs2cs.1 man1/geod.1
  DESTINATION share/man/man1)

install (FILES man3/pj_init.3 man3/geodesic.3
  DESTINATION share/man/man3)

=== nad/CMakeLists.txt ===
#
# files containing dictionnary of useful projection
#

set(PROJ_DICTIONARY  epsg
                     esri
                     world
                     esri.extra
                     other.extra
                     IGNF
                     nad27
                     GL27
                     nad83
                     nad.lst
                     proj_def.dat
                     CH )

#
# gridshift file
#

file(GLOB GSB_FILES  *.gsb)
set(GRIDSHIFT_FILES ${GSB_FILES})
set(GRIDSHIFT_FILES ${GRIDSHIFT_FILES}
                     )
option(CONVERT_DATA "convert some ascii file to binary file for use in proj4" OFF)
if(CONVERT_DATA AND nad2bin)
   message(ERROR " you need to compile nad2bin exe in order to convert data file" )
else(CONVERT_DATA AND nad2bin)
   set(LLA_GRID_DIR ${CMAKE_CURRENT_SOURCE_DIR})
   proj_convert_grid_lla2gsb(LLA_GRID_DIR)
   file(GLOB LLA_FILES  *.lla)
   proj_append_lla_output_file(LLA_FILES GRIDSHIFT_FILES)
endif(CONVERT_DATA AND nad2bin)


#
#install
#
set(ALL_DATA_FILE ${PROJ_DICTIONARY}
                  ${GRIDSHIFT_FILES}
                  ${GEOID_FILES})
install(FILES ${ALL_DATA_FILE}
       DESTINATION ${DATADIR})

#
# test
#
set(CS2CS_BIN "cs2cs")
set(PROJ_BIN "proj")
proj_add_test_script_sh("test27" PROJ_BIN )
proj_add_test_script_sh("test83" PROJ_BIN )
proj_add_test_script_sh("testvarious" CS2CS_BIN )
proj_add_test_script_sh("testdatumfile" CS2CS_BIN "connu")
proj_add_test_script_sh("testIGNF" CS2CS_BIN "ntf_r93.gsb")
proj_add_test_script_sh("testntv2" CS2CS_BIN "ntv2_0.gsb")

=== src/CMakeLists.txt ===
# first include proj library
# always need
include(lib_proj.cmake)

# configure executable build
option(BUILD_CS2CS "Build cs2cs (coordinate systems to coordinate systems translation tool)" ON)
option(BUILD_PROJ "Build proj (cartographic projection tool : latlong <-> projected coordinates" ON)
option(BUILD_GEOD "Build geod (computation of geodesic lines)" ON)
option(BUILD_NAD2BIN "Build nad2bin (format conversion tool) " ON)

if(NOT MSVC)
  if (NOT APPLE)
    # Use relative path so that package is relocatable
    set(CMAKE_INSTALL_RPATH "\$ORIGIN/../${LIBDIR}")
  else ()
    set (CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}")
    # TO DO: cmake 2.8.12 introduces a way to make the install tree
    # relocatable with OSX via
    # (1) set(CMAKE_MACOSX_RPATH ON) and
    # (2) setting the INSTALL_RPATH property on the executables to
    # "@loader_path/../${LIBDIR}"
  endif ()
endif ()

if(BUILD_CS2CS)
 include(bin_cs2cs.cmake)
endif(BUILD_CS2CS)

if(BUILD_PROJ)
  include(bin_proj.cmake)
endif(BUILD_PROJ)

if(BUILD_GEOD)
  include(bin_geod.cmake)
endif(BUILD_GEOD)

if(BUILD_NAD2BIN)
  include(bin_nad2bin.cmake)
endif(BUILD_NAD2BIN)

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # Add _d suffix for your debug versions of the tools
  set_target_properties (cs2cs binproj geod nad2bin PROPERTIES
    DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX})
endif ()

## proj 4.7.0

=== debian/changelog ===
proj (4.7.0-2) unstable; urgency=medium

  * Moved to source format 3.0 with quilt support.
  * Pushed policy to 3.9.3. No changes required.
  * Alioth repository moved to git and Vcs-* fields updated.
  * Dropped Peter S Galbraith as uploader.
  * Dropped transitional proj package.
  * Now suggesting proj-ps-doc in proj-bin.
    (closes: #661662)
  * Home page is now fixed with current OsGeo one.
    (closes: #597587)
  * Fixed proj-data description.
    (closes: #613514)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 May 2012 14:16:42 +0200

proj (4.7.0-1) unstable; urgency=low

  * New upstream release
  * Datum grids files updated to version 1.5.
    (closes: #548297)
  * Removed manpages.dpatch, applied upstream.
  * Generalized libproj0.install file.
  * Policy changed to 3.8.3, without futher changes.
  * Minor change to nad2bin.1 man page.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Oct 2009 16:28:55 +0200

proj (4.6.1-5) unstable; urgency=high

  * Changed proj-data in an arch-dependent package, because one half of the files
    are non endianess-aware and generated at build time on the host. That
    could possibly change in the future, so better still having a single package.
    (closes: #530818)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 28 May 2009 21:10:23 +0200

proj (4.6.1-4) unstable; urgency=low

  * Added Replaces/Conflicts for old proj into proj-data and changed revision
    numbers.
    (closes: #521402)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Mar 2009 12:59:57 +0100

proj (4.6.1-3) unstable; urgency=low

  * Sigh, dh_clean and dh_prep called in the wrong targets caused missing
    indep binaries in .changes.
    (closes: #521100)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Mar 2009 22:09:24 +0100

proj (4.6.1-2) unstable; urgency=low

  * Reordered dh_* rules.
  * Now moving to a usual set of packages, with libraries, tools and 
    dev files split in different packages. The old proj package
    is now a pure transitional meta-package, to be removed after Squeeze
    release.
  * Removed dummy postinst/postrm/shlibs in repository, because managed
    by dh_makeshlibs.
  * Fixed debian/rules targets to be idempotent.
  * Other minor clenaups in debian/rules, such as .PHONY.
  * Added Swiss datugrids file, taken from PROJ4 home page.
  * Added useful Replaces/Conflicts to avoid problems in upgrading.
  * Datum grids are now installed in a separate proj-data package. 
  * Suitable sections chosen for all packages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 15 Mar 2009 21:30:01 +0100

proj (4.6.1-1) unstable; urgency=low

  * New upstream release.
  * Added Homepage and Vcs-* fields into debian/control.
  * Policy bumped to 3.8.0 (no changes).
  * Added US NAD83/NAD27, Canadian and French datum grids as distributed
    in http://download.osgeo.org/proj/proj-datumgrid-1.4.zip 
    (closes: #458369)
  * Added dpatch support.
  * [PATCH] manpages fixes manpages known typos. 
    (closes: #407399, #407400, #407401, #407402)
  * Added a README.sources with comments about datum grids.
  * Moved to level debhelper level 7.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Nov 2008 17:49:22 +0100

proj (4.6.0-2) unstable; urgency=low

  * proj.3 link moved in the right directory.
  * Fixing manpages in debian/rules to avoid too narrow rendering.
    (closes: #495995)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 28 Aug 2008 19:31:20 +0200

proj (4.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Peter Galbraith <psg@dnydns.org>  Sat, 21 Dec 2007 16:46:09 -0500

proj (4.5.0-2) unstable; urgency=low

  * Releasing for unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun,  8 Apr 2007 11:23:57 +0200

proj (4.5.0-1) experimental; urgency=low

  * New upstream release.
  * Moved to DebianGis Team maintainership, with Peter consent.
  * Added Peter and me as Uploaders.
  * Added a debian/watch file.
  * Moved to debhelper level 5.
  * Policy bumped to 3.7.2 without changes.
  * Now using dh_link instead of manual sym links
  * Now using makeshlibs again with default postrm/postinst
  * Added a packaging TODO memo in debian/ dir.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  2 Apr 2007 00:50:09 +0200

proj (4.4.9d-2) unstable; urgency=low

  * Bug fix: "proj(GNU/k*BSD): FTBFS: out of date
    config.sub/config.guess", thanks to Aurelien Jarno (Closes: #340013).
    I copied the files from the autotools-dev package and asked upstream
    to update the files as well.
  
 -- Peter S Galbraith <psg@debian.org>  Mon, 21 Nov 2005 20:36:24 -0500

proj (4.4.9d-1) unstable; urgency=low

  * Add built-in datum conversion support into upstream version 4.4.9
    Thanks to Stephan Holl (Closes: #339470).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 Nov 2005 11:23:11 -0500

proj (4.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Sat,  6 Nov 2004 19:44:53 -0500

proj (4.4.8-3) unstable; urgency=low

  * Bug fix: "proj_4.4.8-2(mipsel/unstable): configure built with broken
    libtool.m4", thanks to Ryan Murray for reporting and specifying how to
    fix it.  I ran 'autoreconf --force' to rebuild the configure file
    (Closes: #260683).

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Jul 2004 22:57:32 -0400

proj (4.4.8-2) unstable; urgency=low

  * Use new /usr/share/misc/config.guess and config.sub instead of using
    patch from 4.4.7-3 as in 4.4.8-1, which led to wrong library so names
    (lacking the .so part).

 -- Peter S Galbraith <psg@debian.org>  Sat, 17 Jul 2004 12:16:26 -0400

proj (4.4.8-1) unstable; urgency=low

  * New upstream release.  Bug fix: "proj: [wish] new version of PROJ.4
    available", thanks to Hamish for reminding me (Closes: #255488).
  * Update to Standards-Version 3.6.1 without changes.



=== debian/control ===
Source: proj
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9), sharutils
Standards-Version: 3.9.3
Homepage: http://trac.osgeo.org/proj/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git
Vcs-Git: git://git.debian.org/pkg-grass/proj.git

Package: proj-data
Architecture: any
Section: libs
Depends: ${misc:Depends}
Description: Cartographic projection filter and library (datum package)
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package contains auxiliary projection datum grids used by the
 library and tools.

Package: libproj0
Architecture: any
Section: libs
Depends: proj-data, ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-bin
Description: Cartographic projection library 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 shared library used by tools and third
 parties programs.

Package: libproj-dev
Architecture: any
Section: libdevel
Depends: libproj0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-bin
Description: Cartographic projection library (development files) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 development files.

Package: proj-bin
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-ps-doc
Description: Cartographic projection library (tools) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 binary tools.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=-O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
# `nostrip' handled by dh_strip...

datumgrids: datumgrids-stamp
datumgrids-stamp:
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids.shar
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids-ch.shar
	touch $@

config: datumgrids config.status
config.status: 
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man

build: config build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

clean: 
	dh_testdir
	dh_testroot
	( cd $(CURDIR)/nad && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
	rm -f datumgrids-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f $(CURDIR)/debian/*.log
	dh_clean

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_prep 
	
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
	
	# Fix manpages 
	for man in $(CURDIR)/debian/tmp/usr/share/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man3/*.3; \
	do \
		sed -i -e 's/^\.nr LL 5.5i$$/\.\\"/' $$man; \
	done
	# Fixating man section in pj_init.3
	sed -i -e 's/\(.TH PJ_INIT\) 3U\(.*\)/\1 3\2/' $(CURDIR)/debian/tmp/usr/share/man/man3/pj_init.3
	touch $@

install-data: build install-data-stamp
install-data-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-data
	touch $@

# Build architecture-independent files here.
binary-indep: 
	dh_testdir -i
	dh_testroot -i
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install 
	dh_testdir -a
	dh_testroot -a
	dh_install -a
	dh_installdocs -a AUTHORS README
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_installchangelogs -a ChangeLog upstream
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary datumgrids config install

## proj 4.7.0-2%2bfremantle0

=== debian/changelog ===
proj (4.7.0-2+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Tue,  3 Dec 2013 17:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 9), sharutils
+Build-Depends: debhelper7, sharutils, maemo-optify
 Standards-Version: 3.9.3
 Homepage: http://trac.osgeo.org/proj/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl:/usr/bin/python
+export SBOX_REDIRECT_IGNORE
 
 CFLAGS=-O2 -Wall
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -92,6 +97,7 @@
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a

## proj 4.8.0

=== debian/changelog ===
proj (4.8.0-5) unstable; urgency=medium

  * Add patch to install nad2bin produced data files in /usr/lib/proj.
    (closes: 747862)
  * Symlink moved data files from /usr/lib/proj to /usr/share/proj.
  * Remove debian/TODO, nad2bin data files moved to /usr/lib/proj.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 20 May 2014 20:05:43 +0200

proj (4.8.0-4) unstable; urgency=medium

  * proj-data is arch any because of architecture specific datumgrids.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 10 May 2014 11:30:06 +0200

proj (4.8.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file, handle common problems.
  * Don't install geodesic.h.
  * Move from experimental to unstable.

  [ Andreas Tille ]
  * proj-data is arch all

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 09 May 2014 20:46:34 +0200

proj (4.8.0-3~exp1) experimental; urgency=low

  * Add myself to Uploaders.
  * Also install geodesic.h.
  * Restructure control file with cme, changes: canonical Vcs-* URLs.
  * Add gbp.conf to use pristine-tar by default.
  * Use dh-autoreconf for retooling.
    (closes: #703006)
  * Bump debhelper compatibility to 9.
  * Use hardening build flags.
  * Strip debian revision from symbols version.
  * Empty dependency_libs in .la files.
  * Add patches to fix man pages issues.
  * Also build the Java Native Interface bindings.
    (closes: #293803)
  * Update copyright file using copyright-format 1.0.
  * Bump Standards-Version to 3.9.5, changes: Vcs-* fields, symbols, copyright.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 12 Apr 2014 21:02:49 +0200

proj (4.8.0-2) unstable; urgency=low

  * Added back projects.h to libproj-dev, it is still used by Saga and 
    possibly other programs.
  * The old utility nad2nad is not more distributed.
    (closes: #716123)
  * Wrong annotation is fixed.
    (closes: #661827)
  * Fixed minor manpages errors and removed reference to the obsolete nad2nad.
    Added a patch manpages for that, because it is still not fixed upstream.
    (closes: #575364)
  * A few past errors seem fixed upstream
    (closes: #323305, #516874)
    or not issues
   (closes: #475533)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 29 Nov 2013 11:53:34 +0100

proj (4.8.0-1) unstable; urgency=low

  [ Jerome Villeneuve Larouche ]
  * New upstream release
  * Modified libproj-dev.install to remove nad_list.h and projects.h
  * Modified proj-bin.install to remove nad2nad
  * Modified proj-bin.manpages to remove nad2nad man
  * Added symbols for libproj0

  [ Francesco Paolo Lovergine ]
  * Properly merged with current git master and sid version 4.7.0-2.
  * Removed proj transitional package and obsolete conflicts/replaces against
    series 4.6 and older.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Nov 2013 15:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,20 @@
 Source: proj
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
+           Bas Couwenberg <sebastic@xs4all.nl>
 Section: science
-Priority: extra
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper7, sharutils, maemo-optify
-Standards-Version: 3.9.3
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               sharutils,
+               default-jdk,
+               ant,
+               doxygen,
+               graphviz
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/proj.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
 Homepage: http://trac.osgeo.org/proj/
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git
-Vcs-Git: git://git.debian.org/pkg-grass/proj.git
 
 Package: proj-data
 Architecture: any
@@ -30,7 +37,9 @@
 Package: libproj0
 Architecture: any
 Section: libs
-Depends: proj-data, ${shlibs:Depends}, ${misc:Depends}
+Depends: proj-data,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library 
  Proj and invproj perform respective forward and inverse transformation
@@ -49,7 +58,8 @@
 Package: libproj-dev
 Architecture: any
 Section: libdevel
-Depends: libproj0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libproj0 (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library (development files) 
  Proj and invproj perform respective forward and inverse transformation
@@ -66,9 +76,8 @@
 
 Package: proj-bin
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: proj-ps-doc
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Cartographic projection library (tools) 
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
@@ -81,3 +90,22 @@
  point latitudes and longitudes (inverse).
  .
  This package provides the PROJ4 binary tools.
+
+Package: libproj-java
+Architecture: any
+Section: java
+Depends: libproj0 (= ${binary:Version}),
+         ${misc:Depends}
+Description: Cartographic projection library (JNI bindings) 
+ Proj and invproj perform respective forward and inverse transformation
+ of cartographic data to or from Cartesian data with a wide range of
+ selectable projection functions (over 100 projections).
+ .
+ Geod and invgeod perform geodesic (Great Circle) computations for
+ determining latitude, longitude and back azimuth of a terminus point given
+ a initial point latitude, longitude, azimuth and distance (direct) or the
+ forward and back azimuths and distance between an initial and terminus
+ point latitudes and longitudes (inverse).
+ .
+ This package provides the Java Native Interface bindings for PROJ4.
+

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS:.svn

PROJ_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

JAVA_HOME = /usr/lib/jvm/default-java

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
# `nostrip' handled by dh_strip...

CFLAGS += -I$(JAVA_HOME)/include/linux

AUTORECONF_BACKUP += INSTALL Makefile.in aclocal.m4
AUTORECONF_BACKUP += config.guess config.sub configure
AUTORECONF_BACKUP += depcomp install-sh ltmain.sh
AUTORECONF_BACKUP += jniwrap/Makefile.in
AUTORECONF_BACKUP += jniwrap/org/Makefile.in
AUTORECONF_BACKUP += jniwrap/org/proj4/Makefile.in
AUTORECONF_BACKUP += man/Makefile.in man/man1/Makefile.in man/man3/Makefile.in
AUTORECONF_BACKUP += missing mkinstalldirs
AUTORECONF_BACKUP += nad/Makefile.in src/Makefile.in
AUTORECONF_BACKUP += src/proj_config.h.in

datumgrids: datumgrids-stamp
datumgrids-stamp:
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids.shar
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids-ch.shar
	touch $@

config: datumgrids config.status
config.status: 
	for FILE in $(AUTORECONF_BACKUP); do \
		mv $${FILE} $${FILE}.pre-autoreconf ; \
	done
	dh_autoreconf
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --with-jni=$(JAVA_HOME)/include

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config
	dh_testdir
	if [ ! -e "jniwrap/libs/jproj.jar" ]; then \
		dh_auto_build -Sant -Djniwrap -- do_javah jar_it do_make_help ; \
	fi
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config
	touch $@

clean: 
	dh_testdir
	dh_testroot
	( cd $(CURDIR)/nad && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
	rm -f datumgrids-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f $(CURDIR)/debian/*.log
	dh_auto_clean -Sant -Djniwrap
	dh_autoreconf_clean
	for FILE in $(AUTORECONF_BACKUP); do \
		if [ -e "$${FILE}.pre-autoreconf" ]; then \
			mv $${FILE}.pre-autoreconf $${FILE} ; \
		fi ; \
	done
	dh_clean nad/FL nad/MD nad/TN nad/WI nad/WO \
	         nad/alaska nad/conus nad/hawaii \
	         nad/null nad/prvi \
	         nad/stgeorge nad/stlrnc nad/stpaul \
	         src/org_proj4_PJ.h src/org_proj4_PJ_Type.h

install: install-arch install-indep

install-arch: install-arch-stamp
install-arch-stamp: build-arch
	dh_testdir
	dh_testroot
	dh_installdirs -a
	dh_prep -a
	
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
	cp $(CURDIR)/src/projects.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ_Type.h $(CURDIR)/debian/tmp/usr/include/.
	
	# Fix manpages 
	for man in $(CURDIR)/debian/tmp/usr/share/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man3/*.3; \
	do \
		sed -i -e 's/^\.nr LL 5.5i$$/\.\\"/' $$man; \
	done
	# Fixating man section in pj_init.3
	sed -i -e 's/\(.TH PJ_INIT\) 3U\(.*\)/\1 3\2/' $(CURDIR)/debian/tmp/usr/share/man/man3/pj_init.3
	# Empty dependency_libs in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	touch $@

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	touch $@

install-data: install-data-stamp
install-data-stamp: build-arch
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-data
	touch $@

# Build architecture-independent files here.
binary-indep: install-indep
	# proj has no "Architecture: all" binary packages

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_install -a -X.svn
	dh_installdocs -a AUTHORS README
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_installchangelogs -a ChangeLog upstream
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
# Forces failure ignoring to collect new symbols
	dh_makeshlibs -a -- -c0 -v$(PROJ_VERSION)
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary datumgrids config install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/ \
http://download.osgeo.org/proj/ (?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian	uupdate

## proj 4.9.1

=== debian/changelog ===
proj (4.9.1-2) unstable; urgency=medium

  * Update upstream metadata for move to GitHub.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Drop .0 from GPL license shortname
    - Update my email to use @debian.org address

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 15:49:24 +0200

proj (4.9.1-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Use jquery.js from libjs-jquery instead of doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2015 21:15:10 +0200

proj (4.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures instead of failing the build.
  * Drop patches applied upstream.
  * Update package names for SONAME bump (0 -> 9).
  * Update symbols for PROJ 4.9.0/4.9.1.
  * Add substitution variable ${misc:Pre-Depends} for libproj.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Mar 2015 20:57:14 +0100

proj (4.9.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Set experimental branch in Vcs-Git and gbp.conf.
  * Add upstream metadata.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to use @debian.org address.
  * Refresh patches.
  * Update copyright years in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Feb 2015 00:12:35 +0100

proj (4.9.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright file.
  * Use minimal dh rules.
  * Update install files for Multi-Arch paths.
  * Bump Standards-Version to 3.9.6, no changes.
  * Remove useless autogenerated doxygen files.
  * Update datumgrids.shar with proj-datumgrid-1.6RC1, it now includes
    "CTable2" format grid shift files that aren't system dependent,
    but requires PROJ 4.8.0 or newer.
  * Update datumgrids-ch.shar to also include the latest Swiss CHENyx06
    dataset, adding CHENYX06a.{asc,gsb} and chenyx06etrs.gsb.
  * Update nad2bin-data.patch to fix the build when the .lla files from
    proj-datumgrid-1.5 are not present, and install system independent
    files from proj-datumgrid-1.6 if they are present.
  * Add patch to use the higher precision towgs84 values as specified by
    Kadaster for EPSG 28991 & 28992.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 05 Oct 2014 21:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: proj
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,13 +11,13 @@
                ant,
                doxygen,
                graphviz
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/proj.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/proj.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
 Homepage: http://trac.osgeo.org/proj/
 
 Package: proj-data
-Architecture: any
+Architecture: all
 Section: libs
 Depends: ${misc:Depends}
 Description: Cartographic projection filter and library (datum package)
@@ -34,9 +34,10 @@
  This package contains auxiliary projection datum grids used by the
  library and tools.
 
-Package: libproj0
+Package: libproj9
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: proj-data,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -58,7 +59,7 @@
 Package: libproj-dev
 Architecture: any
 Section: libdevel
-Depends: libproj0 (= ${binary:Version}),
+Depends: libproj9 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library (development files) 
@@ -94,7 +95,8 @@
 Package: libproj-java
 Architecture: any
 Section: java
-Depends: libproj0 (= ${binary:Version}),
+Depends: libproj9 (= ${binary:Version}),
+         libjs-jquery,
          ${misc:Depends}
 Description: Cartographic projection library (JNI bindings) 
  Proj and invproj perform respective forward and inverse transformation

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PROJ_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

JAVA_HOME = /usr/lib/jvm/default-java

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
# `nostrip' handled by dh_strip...

CFLAGS += -I$(JAVA_HOME)/include/linux

AUTORECONF_BACKUP += INSTALL Makefile.in aclocal.m4
AUTORECONF_BACKUP += config.guess config.sub configure
AUTORECONF_BACKUP += depcomp install-sh ltmain.sh
AUTORECONF_BACKUP += jniwrap/Makefile.in
AUTORECONF_BACKUP += jniwrap/org/Makefile.in
AUTORECONF_BACKUP += jniwrap/org/proj4/Makefile.in
AUTORECONF_BACKUP += man/Makefile.in man/man1/Makefile.in man/man3/Makefile.in
AUTORECONF_BACKUP += missing mkinstalldirs
AUTORECONF_BACKUP += nad/Makefile.in src/Makefile.in
AUTORECONF_BACKUP += src/proj_config.h.in

datumgrids: datumgrids-stamp
datumgrids-stamp:
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids.shar
	unshar -c -d $(CURDIR)/nad $(CURDIR)/debian/datumgrids-ch.shar
	touch $@

%:
	if [ "$@" != "datumgrids" -a "$@" != "datumgrids-stamp" ]; then \
		dh $@ --with autoreconf --parallel ; \
	fi

override_dh_autoreconf:
	for FILE in $(AUTORECONF_BACKUP); do \
		mv $${FILE} $${FILE}.pre-autoreconf ; \
	done
	dh_autoreconf

override_dh_auto_configure: datumgrids
	dh_auto_configure -- --with-jni=$(JAVA_HOME)/include

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_build:
	dh_auto_build -Sant -Djniwrap -- do_javah jar_it do_make_help
	dh_auto_build

override_dh_auto_clean:
	( cd $(CURDIR)/nad && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
	dh_auto_clean -Sant -Djniwrap
	dh_auto_clean

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	for FILE in $(AUTORECONF_BACKUP); do \
		if [ -e "$${FILE}.pre-autoreconf" ]; then \
			mv $${FILE}.pre-autoreconf $${FILE} ; \
		fi ; \
	done

override_dh_clean:
	dh_clean src/org_proj4_PJ_Type.h

override_dh_auto_install:
	dh_auto_install
	
	cp $(CURDIR)/src/projects.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ.h $(CURDIR)/debian/tmp/usr/include/.
	cp $(CURDIR)/src/org_proj4_PJ_Type.h $(CURDIR)/debian/tmp/usr/include/.
	
	# Fix manpages 
	for man in $(CURDIR)/debian/tmp/usr/share/man/man1/*.1 $(CURDIR)/debian/tmp/usr/share/man/man3/*.3; \
	do \
		sed -i -e 's/^\.nr LL 5.5i$$/\.\\"/' $$man; \
	done

	# Fixating man section in pj_init.3
	sed -i -e 's/\(.TH PJ_INIT\) 3U\(.*\)/\1 3\2/' $(CURDIR)/debian/tmp/usr/share/man/man3/pj_init.3

	# Empty dependency_libs in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	# Remove useless autogenreated doxygen files
	rm -f $(CURDIR)/jniwrap/docs/html/*.md5

	# Remove doxygen jquery.js copy in favor of libjs-jquery
	rm -f $(CURDIR)/debian/*/usr/share/doc/libproj-java/html/jquery.js

override_dh_install:
	dh_install --list-missing

override_dh_installdocs:
	dh_installdocs AUTHORS README

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog upstream

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols
	dh_makeshlibs -- -c0 -v$(PROJ_VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/proj/ \
(?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## proj 4.9.2

=== debian/changelog ===
proj (4.9.2-3) unstable; urgency=medium

  * Update Homepage URL for move to GitHub.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch by Alexis Bienvenüe to make nad2bin output reproducible.
    (closes: #825088)
  * Enable all hardening buildflags.
  * Add patch to add a BUGS section to the manpages & update old URLs.
    (closes: #809690)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 May 2016 22:34:18 +0200

proj (4.9.2-2) unstable; urgency=medium

  * Add patch to fix unmatched ')' in man page.
    (closes: 807145)
  * Update Vcs-Git URL to use HTTPS.
  * Add patch to fix transformation of points outside datum shift grids.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2016 20:00:35 +0100

proj (4.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Don't use RC version for symbols.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Sep 2015 08:26:15 +0200

proj (4.9.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop SONAME patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 01:41:44 +0200

proj (4.9.2~rc2+1-1~exp1) experimental; urgency=medium

  * Import proj-4.9.2RC2.tar.gz again (changed after first published).
  * Add patch to revert the SONAME back to libproj.so.9.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 00:30:33 +0200

proj (4.9.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for 4.9.2 RC1.
  * Don't ignore symbols changes for libproj.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Sep 2015 16:53:12 +0200

proj (4.9.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright for new & changed files.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Sep 2015 19:27:36 +0200

proj (4.9.1-3) unstable; urgency=medium

  * Add patches to install proj_def.dat again.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Sep 2015 19:46:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                ant,
                doxygen,
                graphviz
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/proj.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
-Homepage: http://trac.osgeo.org/proj/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/proj.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/proj.git
+Homepage: https://github.com/OSGeo/proj.4/wiki
 
 Package: proj-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -114,6 +117,5 @@
 	dh_installchangelogs ChangeLog upstream
 
 override_dh_makeshlibs:
-	# Forces failure ignoring to collect new symbols
-	dh_makeshlibs -- -c0 -v$(PROJ_VERSION)
+	dh_makeshlibs -- -v$(PROJ_VERSION)
